import 'package:flutter/material.dart';
import 'package:hmg_flutter_template/extensions/string_extensions.dart';

class CustomRow extends StatelessWidget {
  const CustomRow({super.key,
    required this.label,
    required this.value,
    this.labelSize,
    this.valueSize,
    this.width,
    this.isCopyable = true,
    this.isExpanded = false,
    this.labelColor,
    this.valueColor,
  });

  final String label;
  final String value;
  final double? labelSize;
  final double? valueSize;
  final double? width;
  final bool isCopyable;
  final bool isExpanded;
  final Color? labelColor;
  final Color? valueColor;

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        label.toTextAuto(
          fontSize: labelSize ?? 10,
          color: labelColor ?? const Color(0xFF575757),
          letterSpacing: -0.4,
        ),
        const SizedBox(
          width: 1,
        ),
        Expanded(
          flex: isExpanded ? 1 : 0,
          child: value.toTextAuto(
            fontSize: valueSize ?? 10,
            color: valueColor ?? const Color(0xFF2B353E),
            fontWeight: FontWeight.w700,
            letterSpacing: -0.48,
          ),
        ),
      ],
    );
  }
}
